=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND = -Wall

#CC        = gcc
CFLAGS   += $(CPPFLAGS) -I. -DUSE_PPP -DUSE_MS_DNS -fno-strict-aliasing -Wno-unused -std=gnu89
PPPCFLAGS = $(CFLAGS)
LDFLAGS += -Wl,--as-needed

%:
	dh $@

override_dh_auto_configure:
	cd src && ./configure --prefix=/usr

override_dh_auto_clean:
	[ ! -f src/Makefile ] || $(MAKE) -C src realclean
	rm -f src/slirp-fullbolt

override_dh_auto_build:
	# build FULLBOLT
	$(MAKE) -C src clean && $(MAKE) -C src \
		CFLAGS="$(CFLAGS) -DFULL_BOLT" \
		PPPCFLAGS="$(PPPCFLAGS)" all && \
		mv src/slirp src/slirp-fullbolt
	# build NORMAL
	$(MAKE) -C src clean && $(MAKE) -C src \
		CFLAGS="$(CFLAGS)" \
		PPPCFLAGS="$(PPPCFLAGS)" all
