=== debian/watch ===
version=4
opts=uversionmangle=s/_patch//;s/_/./g http://sf.net/slirp/slirp-?_?([\w+\d+\.]+|\d+)(?:\.tar|\.tgz)(?:\.gz|\.bz2|)
