## slirp 1.0.17.1

=== debian/changelog ===
slirp (1:1.0.17.1-1+security) unstable; urgency=medium

  * update

 -- Roberto Lumbreras <rover@debian.org>  Fri, 16 Apr 2021 14:49:10 +0800

slirp (1:1.0.17.1-1+security) buster; urgency=medium

  * Non-maintainer upload.
  * fix CVE-2020-7039 CVE-2020-8608

 -- zhouzilong <zhouzilong@uniontech.com>  Fri, 16 Apr 2021 14:24:39 +0800

slirp (1:1.0.17-8+deb10u1) buster; urgency=high

  * CVE-2020-7039
    Due to mismanagement of memory, a heap-based buffer overflow or
    other out-of-bounds access might happen, which can lead to a DoS
    or potential execute arbitrary code.
  * CVE-2020-8608
    Prevent a buffer overflow vulnerability due to incorrect usage
    of return values from snprintf.

 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 21 Dec 2020 20:03:02 +0100
