## slirp 1.7.6.r3

=== examples/cpp/Makefile ===

CPP_DEMO	= cppdemo
MODULE_NAME	= $(CPP_DEMO)
C_DEMO		= cdemo
CPP_GLUE	= $(CPP_DEMO)_glue
C_GLUE		= $(C_DEMO)_glue
OTHER_ALL	= $(CPP_DEMO) $(C_DEMO) $(MODULE)
OTHER_CLEAN	= $(OTHER_ALL) $(TEST_SCRIPT_REF) $(CPP_GLUE).* $(C_GLUE).* \
   			$(TEST_SCRIPT).out $(C_DEMO).out $(CPP_DEMO).out

include ../Makefile.inc

CPP_HEADERS = cdecl.hh computation.hh pi.hh err.hh vec.hh
CPP_OBJS    = computation.o pi.o
MODULE_DEPS = $(CPP_GLUE).o $(CPP_OBJS)

EXAMPLE_SCRIPT = $(CPP_DEMO).sl

demo:	module_demo executable_demo

module_demo: $(SLSH) $(SLIRPSCRIPT) $(MODULE)
	@echo
	@echo Now running the example script ...
	@echo
	$(SLSH) -n $(EXAMPLE_SCRIPT)

$(MODULE): $(MODULE_DEPS)
	@echo
	$(CXX_ELF_LINK_CMD) -o $@ $(MODULE_DEPS) $(SLANGLIB) \
						$(ELF_DEP_LIBS) $(CXX_LIBS)
	@echo

$(CPP_GLUE).o: $(CPP_GLUE).cc
	@echo
	$(CXX_COMPILE) $?

$(CPP_GLUE).cc: $(CPP_HEADERS)
	@echo
	@echo Generating S-Lang wrappers for C++ code ...
	@echo
	$(SLIRP) -m $(CPP_DEMO) $(CPP_HEADERS)

$(C_GLUE).cc: $(CPP_HEADERS)
	@echo
	@echo Generating pure C wrappers for C++ code ...
	@echo
	$(SLIRP) -m $(C_DEMO) -cfront $(CPP_HEADERS)

pi.o: pi.cc pi.hh computation.hh
computation.o: computation.cc computation.hh

executable_demo: $(CPP_DEMO) $(C_DEMO)
	@echo
	./$(CPP_DEMO)
	./$(C_DEMO)

$(CPP_DEMO): cppdemo.cc $(CPP_OBJS) err.hh
	$(CXX) $(CXXFLAGS) -o $@ cppdemo.cc $(CPP_OBJS) \
					$(SLANGLIB) $(ELF_DEP_LIBS)

$(C_DEMO): $(C_DEMO).o $(C_GLUE).o $(CPP_OBJS)
	$(CXX) -o $@ $@.o $(CPP_OBJS) $(C_GLUE).o $(SLANGLIB) $(ELF_DEP_LIBS)

$(C_GLUE).o:  $(C_GLUE).cc  $(C_GLUE).h
$(C_DEMO).o: $(C_DEMO).c $(C_GLUE).cc

TEST_SCRIPT = ./test.sl
TEST_SCRIPT_REF = test.ref
DEMO_EXE_REF = exe-output.ref

test: test_cppdemo test_cdemo test_script

test_cdemo: $(C_DEMO)
	./$(C_DEMO) > $(C_DEMO).out
	diff $(DEMO_EXE_REF) $(C_DEMO).out
	@echo

test_cppdemo: $(CPP_DEMO)
	./$(CPP_DEMO) > $(CPP_DEMO).out
	diff $(DEMO_EXE_REF) $(CPP_DEMO).out
	@echo

test_script: $(MODULE) $(TEST_SCRIPT) $(EXAMPLE_SCRIPT) $(TEST_SCRIPT_REF)
	$(SLSH) $(TEST_SCRIPT) > $(TEST_SCRIPT).out 2>&1
	diff $(TEST_SCRIPT_REF) $(TEST_SCRIPT).out

$(TEST_SCRIPT_REF): slang1.ref slang2.ref
	cp slang`echo $(SLANG_VERSION) | cut -c1`.ref $@
